Manage secret keys of workspace
Rate limits
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
The secret key of a workspace should be kept secret at all times. If it does get compromised, you can rotate it to a new one. To ensure a smooth transition to the new key, the recommended procedure is
- Add a new key
- Update anywhere the old key is used with the new key
- Delete the old key
Adding a secret key
Note
You need to authenticate with your company admin key or sandbox admin key for this API call.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/workspaces/{key}/actions/add-secret-key
$seatsioClient->workspaces->addSecretKey($key);
await Client.Workspaces.AddSecretKeyAsync(key);
client.workspaces.addSecretKey(key);
client.workspaces.add_secret_key(key)
client.workspaces.add_secret_key key: key
await client.workspaces.addSecretKey(key);
newKey, err := client.Workspaces.AddSecretKey(workspace.Key)
key: the key of the workspace
curl -X POST https://api-{region}.seatsio.net/workspaces/18725661-36d6-4755-905a-28ce82d0c2d5/actions/add-secret-key \
-u anAdminKey: -X POST
Response
{
secretKey: "79425661-36d6-4755-905a-28ce82d0c8c1"
}
Removing a secret key
Note
You need to authenticate with your company admin key or sandbox admin key for this API call.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/workspaces/{key}/actions/remove-secret-key
$seatsioClient->workspaces->removeSecretKey($key, $secretKeyToRemove);
await Client.Workspaces.RemoveSecretKeyAsync(key, secretKeyToRemove);
client.workspaces.removeSecretKey(key, secretKeyToRemove);
client.workspaces.remove_secret_key(key, secret_key_to_remove)
client.workspaces.remove_secret_key key: key, secret_key_to_remove: secret_key_to_remove
await client.workspaces.removeSecretKey(key, secretKeyToRemove);
newKey, err := client.Workspaces.RemoveSecretKey(workspace.Key, SecretKeyToRemove)
Request
{
"secretKey": "The secret key to remove"
}
key: the key of the workspace
curl -X POST https://api-{region}.seatsio.net/workspaces/18725661-36d6-4755-905a-28ce82d0c2d5/actions/remove-secret-key \
-u anAdminKey: -X POST -H 'Content-Type: application/json' -d '{"secretKey": "0E2814A1-053C-451D-8C3F-2B7C8D490BB7"}'
Response
{
secretKey: "79425661-36d6-4755-905a-28ce82d0c8c1"
}